#
# uxyz09.rb
#
# $Id: uxyz09.rb,v 1.1 2000/11/23 08:19:17 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


id0 = 19811201
nd = 180
rlat1 = 20
rlat2 = 80
dlat1 = 5
dlat2 = 10

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::gropn iws

DCL::uzfact(0.7)
DCL::grfrm

DCL::sgswnd(0.0, nd, rlat1, rlat2)
DCL::sgsvpt(0.2, 0.8, 0.4, 0.8)
DCL::sgstrn(1)
DCL::sgstrf

DCL::slpvpr(1)

DCL::uxsaxs('B')
DCL::ucxacl('B', id0, nd)
DCL::uxsaxs('B')
DCL::uxaxdv('B', 10.0, 20.0)
DCL::uxsttl('B', 'DAY NUMBER', 0.0)
DCL::uxsaxs('T')
DCL::ucxacl('T', id0, nd)

DCL::uysaxs('L')
DCL::uyaxdv('L', dlat1, dlat2)
DCL::uysaxs('R')
DCL::uyaxdv('R', dlat1, dlat2)
DCL::uysttl('L', 'LATITUDE', 0.0)

DCL::uxmttl('T', 'UXSAXS/UYSAXS', 0.0)

DCL::grcls

